%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}

Summary: MinGW library for handling page faults in user mode
Name:    mingw-libsigsegv
Version: 2.12
Release: %mkrel 3

License: GPLv2+
URL:     http://libsigsegv.sourceforge.net/
Source0: http://ftp.gnu.org/gnu/libsigsegv/libsigsegv-%{version}.tar.gz
Group:   Development/Other

## upstream patches

BuildArch:      noarch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  mingw32-filesystem >= 56
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gcc


%description
MinGW library for handling memory faults and stack overflows in user mode.

%package -n mingw32-libsigsegv
Summary:        MinGW library for handling page faults in user mode

%description -n mingw32-libsigsegv
MinGW library for handling memory faults and stack overflows in user mode.


%prep
%setup -q -n libsigsegv-%{version}

%autopatch -p1
autoreconf --install --force


%build
%{mingw32_configure} --disable-static --enable-shared
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


%files -n mingw32-libsigsegv
%doc AUTHORS COPYING NEWS README
%{mingw32_bindir}/libsigsegv-2.dll
%{mingw32_libdir}/libsigsegv.dll.a
%{mingw32_includedir}/*.h




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.12-3.mga8
+ Revision: 1502135
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.12-2.mga7
+ Revision: 1279890
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 2.12-1.mga7
+ Revision: 1248241
- new version: 2.12

* Tue Feb 02 2016 umeabot <umeabot> 2.6-13.mga6
+ Revision: 932164
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.6-12.mga5
+ Revision: 748066
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6-11.mga5
+ Revision: 682484
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.6-10.mga4
+ Revision: 536329
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 2.6-9.mga4
+ Revision: 484144
- imported package mingw-libsigsegv


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 19 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6-7
- Fixed FTBFS against latest automake

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6-5
- Renamed the source package to mingw-libsigsegv (RHBZ #800922)
- Use mingw macros without leading underscore
- Dropped unneeded RPM tags
- Dropped .la files

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6-4
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 9 2010 Paolo Bonzini <pbonzini@redhat.com> - 2.6-1
- Created.
